## com.google.javascript.jscomp
Class CodingConvention.SubclassRelationship

    java.lang.Object
      com.google.javascript.jscomp.CodingConvention.SubclassRelationship

Enclosing interface:
  CodingConvention

    public static class CodingConvention.SubclassRelationship

extends Object

Constructor Summary
`CodingConvention.SubclassRelationship(CodingConvention.SubclassType type, Node subclassNode, Node superclassNode)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodingConvention.SubclassRelationship

    public CodingConvention.SubclassRelationship(CodingConvention.SubclassType type,
                                                 Node subclassNode,
                                                 Node superclassNode)